#include "TMHistogrammingCErrorEqChoice.h"

//_____________________________________________________________________
TMHistogrammingCErrorEqChoice::TMHistogrammingCErrorEqChoice() :
  TMHistogramming()
{}
//_____________________________________________________________________
TMHistogrammingCErrorEqChoice::~TMHistogrammingCErrorEqChoice() {}
//_____________________________________________________________________
void TMHistogrammingCErrorEqChoice::ProcessPixel(UInt_t eq, UInt_t hs, UInt_t chip, UInt_t col, UInt_t row) {
  // do nothing in this class
}
//_____________________________________________________________________
void TMHistogrammingCErrorEqChoice::ProcessCluster(Float_t x, Float_t y, Float_t z, UInt_t module, UInt_t size, UInt_t widz, UInt_t widphi, UInt_t type) {
  // do nothing in this class
}
//_____________________________________________________________________
void TMHistogrammingCErrorEqChoice::ProcessClusters(HenrikClusterFinderSPD* clFinder) {
  // do nothing in this class
}
//_____________________________________________________________________
void TMHistogrammingCErrorEqChoice::ProcessEvent(eventHeaderStruct *event) {
  // do nothing in this class
}
//_____________________________________________________________________
void TMHistogrammingCErrorEqChoice::StartEvent(eventHeaderStruct *event, UInt_t globalEventNumber) {
  TMHistogramming::StartEvent(event,globalEventNumber);
}
//_____________________________________________________________________
void TMHistogrammingCErrorEqChoice::EndEvent(AliITSRawStreamSPD *str, UInt_t globalEventNumber) {
  TMHistogramming::EndEvent(str, globalEventNumber);
}
//_____________________________________________________________________
void TMHistogrammingCErrorEqChoice::Draw(TPad *pad) {
  // do nothing in this class
}
//_____________________________________________________________________
void TMHistogrammingCErrorEqChoice::Reset() {
  fNrEvents = 0;
}
//______________________________________________________________________
void TMHistogrammingCErrorEqChoice::ResetAuto() {
  if (fAutoReset) {
    Reset();
  }
}
